using FluentScheduler;
using Microsoft.Extensions.DependencyInjection;
using Performance.Services;
using Performance.Services.ExtractExcelService;

namespace Performance.Api
{
    public class ExtractGenerateJob : IJob
    {
        private readonly ExtractJobService extractJobService;

        public ExtractGenerateJob()
        {
            this.extractJobService = ServiceLocator.Instance.GetService<ExtractJobService>();
        }

        public void Execute()
        {
            extractJobService.ExportFile();
        }
    }
}
